dom.cpp File Reference
`#include <gecode/minimodel.hh>`
`#include <cstddef>`
`#include <tuple>`
`#include <utility>`

Go to the source code of this file.

## Namespaces

namespace | cxx14
namespace | cxx14::detail
namespace | Gecode
| Gecode toplevel namespace

## Functions

BoolExpr | Gecode::dom (const IntVar &x, int n)
| Return expression for .
BoolExpr | Gecode::dom (const IntVar &x, int l, int m)
| Return expression for .
BoolExpr | Gecode::dom (const IntVar &x, const IntSet &s)
| Return expression for .
BoolExpr | Gecode::dom (const SetVar &x, SetRelType rt, int i)
| Return expression for .
BoolExpr | Gecode::dom (const SetVar &x, SetRelType rt, int i, int j)
| Return expression for .
BoolExpr | Gecode::dom (const SetVar &x, SetRelType rt, const IntSet &s)
| Return expression for .
BoolExpr | Gecode::dom (const FloatVar &x, const FloatVal &n)
| Return expression for .
BoolExpr | Gecode::dom (const FloatVar &x, FloatNum l, FloatNum u)
| Return expression for .